org.eclipse.emf.spi.cdo

## Interface InternalCDOSessionInvalidationEvent

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOChangeKindProvider, CDOChangeSetData, CDOCommitData, CDOCommitInfo, CDOSessionEvent, CDOSessionInvalidationEvent, CDOTimeProvider, IEvent

      public interface InternalCDOSessionInvalidationEvent
      extends CDOSessionInvalidationEvent

  Since:
    4.3
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.session.CDOSessionInvalidationEvent

      `LOCAL_ROLLBACK`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getSecurityImpact()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionInvalidationEvent

      `getLocalTransaction, getOldPermissions, getView, isRemote`

    - ### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionEvent

      `getSource`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitInfo

      `getComment, getCommitInfoManager, getMergedCommitInfo, getMergeSource, getPreviousCommitInfo, getPreviousTimeStamp, getUserID, isCommitDataLoaded, isInitialCommit`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitData

      `getNewPackageUnits`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetData

      `copy, getChangedObjects, getChangeKinds, getDetachedObjects, getNewObjects, isEmpty, merge`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeKindProvider

      `getChangeKind`

- - ### Method Detail

    - #### getSecurityImpact

          byte getSecurityImpact()

      See Also:
        `CDOProtocol.CommitNotificationInfo.IMPACT_NONE`, `CDOProtocol.CommitNotificationInfo.IMPACT_PERMISSIONS`, `CDOProtocol.CommitNotificationInfo.IMPACT_REALM`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html